Get single consent by id
curl --request GET \
--url https://{host}/consent/v1/Consents/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://{host}/consent/v1/Consents/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{host}/consent/v1/Consents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "agreement.cpl_0",
"key": "agreement.cpl",
"name": "<string>",
"component": "<string>",
"version": 123,
"revision": 123,
"contentUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"effectiveAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"consentType": "Regular",
"iconUrl": "<string>"
}{
"name": "<string>",
"message": "<string>",
"details": null
}{
"name": "<string>",
"message": "<string>",
"details": null
}Get single consent by id
GET
/
v1
/
Consents
/
{id}
Get single consent by id
Authorizations
Headers
Language code for localized content
Path Parameters
Consent unique identifier
Response
Single consent
DTO, represents consent instance
Consent unique identifier (across all consent types and versions)
Minimum string length:
1Example:
"agreement.cpl_0"
Consent key, which is unique across different consent types
Minimum string length:
1Example:
"agreement.cpl"
Name
Minimum string length:
1Component to which consent corresponds
Minimum string length:
1Version
Revision
Url to consent content
Minimum string length:
1Consent creation date
Consent effective from date
Consent expiration date
Defines the type of consent
Available options:
Regular, Agreement Url to consent icon
Last modified on August 10, 2026